cinder missing build-depends on python-netaddr

Bug #1227153 reported by Scott Moser on 2013-09-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
cinder (Ubuntu)
Medium
Unassigned
Saucy
Medium
Unassigned

Bug Description

As shown in the attached build log here, cinder is missing a build dependency on python-netaddr.
This is masked in archive because of other build-dependencies pulling that in (probably python-keystoneclient).

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: cinder-common 1:2013.2~b3-0ubuntu1
ProcVersionSignature: User Name 3.11.0-7.14-generic 3.11.1
Uname: Linux 3.11.0-7-generic x86_64
ApportVersion: 2.12.1-0ubuntu4
Architecture: amd64
Date: Wed Sep 18 14:16:57 2013
Ec2AMI: ami-000004e5
Ec2AMIManifest: FIXME
Ec2AvailabilityZone: nova
Ec2InstanceType: m1.tiny
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cinder
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.cinder.api.paste.ini: [deleted]
modified.conffile..etc.cinder.cinder.conf: [deleted]
modified.conffile..etc.cinder.logging.conf: [deleted]
modified.conffile..etc.cinder.policy.json: [deleted]
modified.conffile..etc.cinder.rootwrap.conf: [deleted]
modified.conffile..etc.sudoers.d.cinder.sudoers: [deleted]

Related branches

Scott Moser (smoser) wrote :
Changed in cinder (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2013-09-18
summary: - missing build-depends on python-netaddr
+ cinder missing build-depends on python-netaddr
James Page (james-page) on 2013-09-19
Changed in cinder (Ubuntu Saucy):
status: Confirmed → Triaged
Changed in cinder (Ubuntu Saucy):
status: Triaged → Fix Committed
Chuck Short (zulcss) on 2013-10-02
Changed in cloud-archive:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.2~rc1-0ubuntu1

---------------
cinder (1:2013.2~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release candidate.
  * debian/patches/skip-sqlachemy-failures.patch: Dropped
  * debian/patches/fix-sqlalchemy-requirements.patch: Refreshed.
  * debian/patches/fix-babel-requirements.patch: Revert dependency requirement
    for python-babel.
  * debian/control:
    - Dropped python-nose and python-setuptool-git.
    - Added python-netaddr as a build-dependency. (LP: #1227153)
    - Added python-six as a build-dependency.
    - Added versioned dependencies to python-pbr, python-amqplib,
      python-glanceclient, python-novaclient, and python-swiftclient,
      python-lxml, python-webob, python-oslo.config, python-sqlalchemy,
      python-fixtures, python-testtools, and python-fixtures
    - Bumped versioned dependencies for python-eventlet, python-hp3parclient,
      python-keystoneclient, and python-novaclient
 -- Chuck Short <email address hidden> Fri, 04 Oct 2013 08:40:26 -0400

Changed in cinder (Ubuntu Saucy):
status: Fix Committed → Fix Released
James Page (james-page) on 2013-10-11
Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers